org.codehaus.groovy.classgen.asm

## Class OptimizingStatementWriter.StatementMeta

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.StatementMeta

- Enclosing class:
    OptimizingStatementWriter

      public static class OptimizingStatementWriter.StatementMeta
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean[]` | `involvedTypes`
    `protected MethodNode` | `target`
    `protected ClassNode` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OptimizingStatementWriter.StatementMeta()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected MethodNode target

    - #### type

          protected ClassNode type

    - #### involvedTypes

          protected boolean[] involvedTypes

  - ### Constructor Detail

    - #### OptimizingStatementWriter.StatementMeta

          public OptimizingStatementWriter.StatementMeta()

  - ### Method Detail

    - #### chainInvolvedTypes

          public void chainInvolvedTypes(org.codehaus.groovy.classgen.asm.OptimizingStatementWriter.OptimizeFlagsCollector opt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`